> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address Token Transfers

> Get the token transfers of an address.



## OpenAPI

````yaml /reference/api-json.json get /token/transfers
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /token/transfers:
    get:
      tags:
        - Token
      summary: Get Address Token Transfers
      description: Get the token transfers of an address.
      operationId: WalletTokenTransfers
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            default: 1
            example: 1
            enum:
              - 1
              - 10
              - 100
              - 10143
              - 10200
              - 1088
              - 1101
              - 11011
              - 11124
              - 11155111
              - 11155420
              - 11297108109
              - 1135
              - 1284
              - 1285
              - 130
              - 1301
              - 1329
              - 137
              - 1666600000
              - 167000
              - 167009
              - 168587773
              - 1868
              - 1946
              - 2020
              - 2021
              - 2442
              - 248
              - 25
              - 250
              - 2741
              - 288
              - 30
              - 300
              - 31
              - 324
              - 33111
              - 33139
              - 360
              - 369
              - 37111
              - 4002
              - 4202
              - 42161
              - 421614
              - 42170
              - 42220
              - 43113
              - 43114
              - 480
              - 4801
              - 5000
              - 534351
              - 534352
              - 5371
              - 5373
              - 545
              - 56
              - 57073
              - 59141
              - 59144
              - 7000
              - 7001
              - 747
              - 763373
              - 7777777
              - 80002
              - 80094
              - 81457
              - 8453
              - 84532
              - 88882
              - 88888
              - 9001
              - 97
              - 999999999
              - solana
              - solana-devnet
            type: string
        - name: walletAddress
          required: true
          in: query
          description: The address of the wallet to query.
          schema:
            default: '0x8D97689C9818892B700e27F316cc3E41e17fBeb9'
            example: '0x8D97689C9818892B700e27F316cc3E41e17fBeb9'
            type: string
        - name: fromBlock
          required: false
          in: query
          description: Starting block number to query from.
          schema:
            example: 0
            type: number
        - name: includeLogo
          required: false
          in: query
          description: >-
            Whether to include the token logo in the response. Only works with
            Moralis and Covalent
          schema:
            example: false
        - name: cursor
          required: false
          in: query
          description: Cursor from previous query to get next page of results.
          schema:
            type: string
        - name: includeRaw
          required: false
          in: query
          description: >-
            Returns the raw data given by the provider. WARNING: removes backup
            feature, and raw data returned is not normalized which might make
            switching providers difficult
          schema:
            example: null
            type: boolean
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            enum:
              - Alchemy
              - GoldRush
              - Moralis
              - Helius
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletTokenTransfersResponse'
components:
  schemas:
    WalletTokenTransfersResponse:
      type: object
      properties:
        transfers:
          type: array
          items:
            $ref: '#/components/schemas/WalletTokenTransfersResponseItem'
        cursor:
          type: string
          example: >-
            ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ==
      required:
        - transfers
        - cursor
    WalletTokenTransfersResponseItem:
      type: object
      properties:
        contractAddress:
          type: string
          example: '0xdAC17F958D2ee523a2206206994597C13D831ec7'
        name:
          type: object
          example: OMGToken
        symbol:
          type: object
          example: OMG
        decimals:
          type: object
          example: '18'
        logo:
          type: object
          example: ''
        fromAddress:
          type: object
          example: '0x426b99c64366a1529e8d038a4d7a619b52b66c05'
        toAddress:
          type: string
          example: '0xb19b920783312592beddd4bea5a2c3a4cd14fed5'
        blockHash:
          type: object
          example: '0xd863533685cc120db134ef6ecf6758c35225c920600e976ed2a617045421a005'
        blockNumber:
          type: object
          example: '11381701'
        blockTimestamp:
          type: string
          example: '2020-12-03T19:58:23.000Z'
        transactionHash:
          type: object
          example: '0x4cd79c370728e02cd8c385881c24360052fff1d59d6d2cefb7fdf09234c89e2b'
        amount:
          type: object
          example: '14861516210000000000'
      required:
        - contractAddress
        - name
        - symbol
        - decimals
        - logo
        - fromAddress
        - toAddress
        - blockHash
        - blockNumber
        - blockTimestamp
        - transactionHash
        - amount
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````